XmLArrayReorder(3X)

NAME
XmLArrayReorder - reorder items in an array

SYNTAX
int XmLArrayReorder(array, newPositions, pos, count)
XmLArray array;
int newPositions;
int pos;
int count;

ARGUMENTS

array
    array to operate on

newPositions
    new positions of items

pos start position of items to reorder

count
    number of items to reorder

DESCRIPTION
Reorders the array by ordering count pointers at position pos to the positions specified in the newPositions array. The newPositions array should contain numbers starting at pos and ending at pos + count - 1. This function does not free the newPositions array passed in.

RETURN VALUE
0 upon success and -1 upon failure (a value passed is out of range).

SEE ALSO
XmLArrayAdd(3X) XmLArrayDel(3X) XmLArrayFree(3X) XmLArrayGet(3X) XmLArrayGetCount(3X) XmLArrayNew(3X) XmLArrayReorder(3X) XmLArraySet(3X) XmLArraySort(3X)